/**
 * @desc 登录
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {
    /** 账号(支持用户名/手机号/邮箱) */
    account: string
    /** 密码 */
    password: string
}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/auth/login',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
