/**
 * @desc 新增
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {
    /** 组件 */
    component?: string
    /** 是否启用 */
    enable?: boolean
    /** 是否隐藏 */
    hidden?: boolean
    /** 图标 */
    icon?: string
    /** 名称 */
    name: string
    /** 路径 */
    path?: string
    /** 父级ID */
    pid?: number
    /** 序号 */
    serial?: number
    /** 权限类型 */
    type: 'MENU' | 'BUTTON'
    /** 标识 */
    uid: string
}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/manage/permission/add',
            method: 'POST',
            data: params,

            ...config,
        },
        options,
    )
}
