/**
 * @desc 分页查询
 */

import * as defs from '../../baseClass'
import { Http } from '/@/utils/http/axios'

export class Params {
    /** 当前页数 */
    pageNo: number
    /** 分页条数 */
    pageSize: number
    /** 排序字段 */
    sortField?: string
    /** 排序方向（ASC|DESC） */
    sortOrder?: 'ASC' | 'DESC'
}

export const init = new defs.Result()

export function request(params: Params, config?: axios.RequestConfig<Params>, options?: axios.RequestOptions) {
    return Http.request(
        {
            url: '/basic-api/user/manage/page',
            method: 'GET',
            params,

            ...config,
        },
        options,
    )
}
